WKSChart::Serie Struct Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WKSChart::Serie Struct Reference

a serie in a chart More...

`#include <WKSChart.h>`

## Public Types
enum | Type { S_Area , S_Bar , S_Bubble , S_Circle , S_Column , S_Gantt , S_Line , S_Radar , S_Ring , S_Scatter , S_Stock , S_Surface }
| the series type More...
enum | PointType { P_None =0 , P_Automatic , P_Square , P_Diamond , P_Arrow_Down , P_Arrow_Up , P_Arrow_Right , P_Arrow_Left , P_Bow_Tie , P_Hourglass , P_Circle , P_Star , P_X , P_Plus , P_Asterisk , P_Horizontal_Bar , P_Vertical_Bar }
| the point type More...

## Public Member Functions
| Serie ()
| constructor
| Serie (Serie const &)=default
| Serie (Serie &&)=default
Serie & | operator= (Serie const &)=default
Serie & | operator= (Serie &&)=default
virtual | ~Serie ()
| destructor
bool | is1DStyle () const
| return true if the serie style is 1D
void | setPrimaryColor (WPSColor const &color, float opacity=1, bool force1D=false)
| set the primary color
void | setPrimaryPattern (WPSGraphicStyle::Pattern const &pattern, bool force1D=false)
| set the primary pattern
void | setSecondaryColor (WPSColor const &color)
| set the secondary color
bool | valid () const
| return true if the serie is valid
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Static Public Member Functions
static std::string | getSerieTypeName (Type type)
| returns a string corresponding to a series type

## Public Attributes
Type | m_type
| the type
Position | m_ranges [2]
| the data range
bool | m_useSecondaryY
| use or not the secondary y axis
WPSFont | m_font
| the label font
Position | m_labelRanges [2]
| the label ranges if defined(unused)
Position | m_legendRange
| the legend range if defined
librevenge::RVNGString | m_legendText
| the legend name if defined
WPSGraphicStyle | m_style
| the graphic style
PointType | m_pointType
| the point type

## Friends
std::ostream & | operator<< (std::ostream &o, Serie const &series)
| operator<<

## Detailed Description

a serie in a chart

## Member Enumeration Documentation

## ◆ PointType

enum WKSChart::Serie::PointType

the point type

Enumerator
P_None |
P_Automatic |
P_Square |
P_Diamond |
P_Arrow_Down |
P_Arrow_Up |
P_Arrow_Right |
P_Arrow_Left |
P_Bow_Tie |
P_Hourglass |
P_Circle |
P_Star |
P_X |
P_Plus |
P_Asterisk |
P_Horizontal_Bar |
P_Vertical_Bar |

## ◆ Type

enum WKSChart::Serie::Type

the series type

Enumerator
S_Area |
S_Bar |
S_Bubble |
S_Circle |
S_Column |
S_Gantt |
S_Line |
S_Radar |
S_Ring |
S_Scatter |
S_Stock |
S_Surface |

## Constructor & Destructor Documentation

## ◆ Serie() [1/3]

WKSChart::Serie::Serie | ( |  | ) |

constructor

## ◆ Serie() [2/3]

WKSChart::Serie::Serie | ( | Serie const & |  | ) |
| default

## ◆ Serie() [3/3]

WKSChart::Serie::Serie | ( | Serie && |  | ) |
| default

## ◆ ~Serie()

WKSChart::Serie::~Serie | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addContentTo()

void WKSChart::Serie::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

## ◆ addStyleTo()

void WKSChart::Serie::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## ◆ getSerieTypeName()

std::string WKSChart::Serie::getSerieTypeName | ( | Type | type | ) |
| static

returns a string corresponding to a series type

Referenced by WKSChart::sendChart().

## ◆ is1DStyle()

bool WKSChart::Serie::is1DStyle | ( |  | ) | const
| inline

return true if the serie style is 1D

Referenced by setPrimaryColor(), and setSecondaryColor().

## ◆ operator=() [1/2]

Serie & WKSChart::Serie::operator= | ( | Serie && |  | ) |
| default

## ◆ operator=() [2/2]

Serie & WKSChart::Serie::operator= | ( | Serie const & |  | ) |
| default

## ◆ setPrimaryColor()

void WKSChart::Serie::setPrimaryColor | ( | WPSColor const & | color,
|  | float | opacity = `1`,
|  | bool | force1D = `false`
| ) |  |
| inline

set the primary color

## ◆ setPrimaryPattern()

void WKSChart::Serie::setPrimaryPattern | ( | WPSGraphicStyle::Pattern const & | pattern,
|  | bool | force1D = `false`
| ) |  |

set the primary pattern

## ◆ setSecondaryColor()

void WKSChart::Serie::setSecondaryColor | ( | WPSColor const & | color | ) |
| inline

set the secondary color

## ◆ valid()

bool WKSChart::Serie::valid | ( |  | ) | const
| inline

return true if the serie is valid

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WKSChart::Serie const & | serie
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_font

WPSFont WKSChart::Serie::m_font

the label font

## ◆ m_labelRanges

Position WKSChart::Serie::m_labelRanges[2]

the label ranges if defined(unused)

## ◆ m_legendRange

Position WKSChart::Serie::m_legendRange

the legend range if defined

Referenced by WKS4Chart::readChartSeries().

## ◆ m_legendText

librevenge::RVNGString WKSChart::Serie::m_legendText

the legend name if defined

## ◆ m_pointType

PointType WKSChart::Serie::m_pointType

the point type

Referenced by is1DStyle().

## ◆ m_ranges

Position WKSChart::Serie::m_ranges[2]

the data range

Referenced by LotusChart::updateChart(), and valid().

## ◆ m_style

WPSGraphicStyle WKSChart::Serie::m_style

the graphic style

Referenced by Serie(), setPrimaryColor(), and setSecondaryColor().

## ◆ m_type

Type WKSChart::Serie::m_type

the type

Referenced by is1DStyle(), WKS4Chart::readChartSeries(), and WKS4Chart::updateChart().

## ◆ m_useSecondaryY

bool WKSChart::Serie::m_useSecondaryY

use or not the secondary y axis

The documentation for this struct was generated from the following files:

- WKSChart.h
- WKSChart.cpp